/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jreqtools.gadgets;

import javax.swing.*;
import java.awt.*;

public class Separator extends JComponent {
	
	public Separator()  {
		setMaximumSize(new Dimension(Integer.MAX_VALUE, 4));
		setMinimumSize(new Dimension(10, 4));
		setPreferredSize(new Dimension(50,4));
	}

	public void paint(java.awt.Graphics arg0)  {
		Dimension dim = getSize();
		
		int y = dim.height / 2 - 1;
		
		arg0.setColor(Color.black);
		arg0.drawLine(0, y,dim.width, y);
		
		arg0.setColor(Color.white);
		arg0.drawLine(0, y+1, dim.width, y+1);
	}

}
